<div class="theme-offer">
	<?php
        // Check if the demo import has been completed
        $vw_security_guard_demo_import_completed = get_option('vw_security_guard_demo_import_completed', false);

        // If the demo import is completed, display the "View Site" button
        if ($vw_security_guard_demo_import_completed) {
        echo '<p class="notice-text">' . esc_html__('Your demo import has been completed successfully.', 'vw-security-guard') . '</p>';
        echo '<span><a href="' . esc_url(home_url()) . '" class="button button-primary site-btn" target="_blank">' . esc_html__('View Site', 'vw-security-guard') . '</a></span>';
        }

		//POST and update the customizer and other related data
        if (isset($_POST['submit'])) {

        // Check if ibtana visual editor is installed and activated
        if (!is_plugin_active('ibtana-visual-editor/plugin.php')) {
          // Install the plugin if it doesn't exist
          $vw_security_guard_plugin_slug = 'ibtana-visual-editor';
          $vw_security_guard_plugin_file = 'ibtana-visual-editor/plugin.php';

          // Check if plugin is installed
          $vw_security_guard_installed_plugins = get_plugins();
          if (!isset($vw_security_guard_installed_plugins[$vw_security_guard_plugin_file])) {
              include_once(ABSPATH . 'wp-admin/includes/plugin-install.php');
              include_once(ABSPATH . 'wp-admin/includes/file.php');
              include_once(ABSPATH . 'wp-admin/includes/misc.php');
              include_once(ABSPATH . 'wp-admin/includes/class-wp-upgrader.php');

              // Install the plugin
              $vw_security_guard_upgrader = new Plugin_Upgrader();
              $vw_security_guard_upgrader->install('https://downloads.wordpress.org/plugin/ibtana-visual-editor.latest-stable.zip');
          }
          // Activate the plugin
          activate_plugin($vw_security_guard_plugin_file);
        }

            // ------- Create Nav Menu --------
            $vw_security_guard_menuname = 'Main Menus';
            $vw_security_guard_bpmenulocation = 'primary';
            $vw_security_guard_menu_exists = wp_get_nav_menu_object($vw_security_guard_menuname);

            if (!$vw_security_guard_menu_exists) {
                $vw_security_guard_menu_id = wp_create_nav_menu($vw_security_guard_menuname);

                // Create Home Page
                $vw_security_guard_home_title = 'Home';
                $vw_security_guard_home = array(
                    'post_type' => 'page',
                    'post_title' => $vw_security_guard_home_title,
                    'post_content' => '',
                    'post_status' => 'publish',
                    'post_author' => 1,
                    'post_slug' => 'home'
                );
                $vw_security_guard_home_id = wp_insert_post($vw_security_guard_home);
                // Assign Home Page Template
                add_post_meta($vw_security_guard_home_id, '_wp_page_template', 'page-template/custom-home-page.php');
                // Update options to set Home Page as the front page
                update_option('page_on_front', $vw_security_guard_home_id);
                update_option('show_on_front', 'page');
                // Add Home Page to Menu
                wp_update_nav_menu_item($vw_security_guard_menu_id, 0, array(
                    'menu-item-title' => __('Home', 'vw-security-guard'),
                    'menu-item-classes' => 'home',
                    'menu-item-url' => home_url('/'),
                    'menu-item-status' => 'publish',
                    'menu-item-object-id' => $vw_security_guard_home_id,
                    'menu-item-object' => 'page',
                    'menu-item-type' => 'post_type'
                ));

                // Create Pages Page with Dummy Content
                $vw_security_guard_pages_title = 'Pages';
                $vw_security_guard_pages_content = '
                <p>Explore all the pages we have on our website. Find information about our services, company, and more.</p>

                 Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.<br>

                  All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.';
                $vw_security_guard_pages = array(
                    'post_type' => 'page',
                    'post_title' => $vw_security_guard_pages_title,
                    'post_content' => $vw_security_guard_pages_content,
                    'post_status' => 'publish',
                    'post_author' => 1,
                    'post_slug' => 'pages'
                );
                $vw_security_guard_pages_id = wp_insert_post($vw_security_guard_pages);
                // Add Pages Page to Menu
                wp_update_nav_menu_item($vw_security_guard_menu_id, 0, array(
                    'menu-item-title' => __('Pages', 'vw-security-guard'),
                    'menu-item-classes' => 'pages',
                    'menu-item-url' => home_url('/pages/'),
                    'menu-item-status' => 'publish',
                    'menu-item-object-id' => $vw_security_guard_pages_id,
                    'menu-item-object' => 'page',
                    'menu-item-type' => 'post_type'
                ));

                // Create About Us Page with Dummy Content
                $vw_security_guard_about_title = 'About Us';
                $vw_security_guard_about_content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam...<br>

                         Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.<br>

                            There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which dont look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isnt anything embarrassing hidden in the middle of text.<br>

                            All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.';
                $vw_security_guard_about = array(
                    'post_type' => 'page',
                    'post_title' => $vw_security_guard_about_title,
                    'post_content' => $vw_security_guard_about_content,
                    'post_status' => 'publish',
                    'post_author' => 1,
                    'post_slug' => 'about-us'
                );
                $vw_security_guard_about_id = wp_insert_post($vw_security_guard_about);
                // Add About Us Page to Menu
                wp_update_nav_menu_item($vw_security_guard_menu_id, 0, array(
                    'menu-item-title' => __('About Us', 'vw-security-guard'),
                    'menu-item-classes' => 'about-us',
                    'menu-item-url' => home_url('/about-us/'),
                    'menu-item-status' => 'publish',
                    'menu-item-object-id' => $vw_security_guard_about_id,
                    'menu-item-object' => 'page',
                    'menu-item-type' => 'post_type'
                ));

                // Set the menu location if it's not already set
                if (!has_nav_menu($vw_security_guard_bpmenulocation)) {
                    $locations = get_theme_mod('nav_menu_locations'); // Use 'nav_menu_locations' to get locations array
                    if (empty($locations)) {
                        $locations = array();
                    }
                    $locations[$vw_security_guard_bpmenulocation] = $vw_security_guard_menu_id;
                    set_theme_mod('nav_menu_locations', $locations);
                }

        }


            // Set the demo import completion flag
    		update_option('vw_security_guard_demo_import_completed', true);
    		// Display success message and "View Site" button
    		echo '<p class="notice-text">' . esc_html__('Your demo import has been completed successfully.', 'vw-security-guard') . '</p>';
    		echo '<span><a href="' . esc_url(home_url()) . '" class="button button-primary site-btn" target="_blank">' . esc_html__('View Site', 'vw-security-guard') . '</a></span>';
            //end


            // Top Bar //  
            set_theme_mod('vw_security_guard_topbar_hide_show',true);      
            set_theme_mod( 'vw_security_guard_location_icon', 'fas fa-location-arrow' );
            set_theme_mod( 'vw_security_guard_location', '94 Leeton wallingford, CT 06462' );
            set_theme_mod( 'vw_security_guard_button_text', 'GET SERVICE CODE' );
            set_theme_mod( 'vw_security_guard_button_link', '#' );
            set_theme_mod( 'vw_security_guard_email_addres_icon', 'fas fa-envelope' );
            set_theme_mod( 'vw_security_guard_email_text', 'Drop Us Mail' );
            set_theme_mod( 'vw_security_guard_email_address', 'support@example.com' );
            set_theme_mod( 'vw_security_guard_contact_icon', 'fas fa-phone' );
            set_theme_mod( 'vw_security_guard_call_text', 'Call Us Any Time' );
            set_theme_mod( 'vw_security_guard_call_number', '0123456789' );
            set_theme_mod( 'vw_security_guard_timing_icon', 'far fa-clock' );
            set_theme_mod( 'vw_security_guard_time_text', 'Opening Hours' );
            set_theme_mod( 'vw_security_guard_timming', 'Mon - Fri 10.00 to 6.00' );


            // slider section start //
            set_theme_mod('vw_security_guard_slider_hide_show',true);
            set_theme_mod( 'vw_security_guard_slider_button_text', 'GET SERVICE CODE' );
            set_theme_mod( 'vw_security_guard_slider_button_link', '#' );

            for($vw_security_guard_i=1;$vw_security_guard_i<=3;$vw_security_guard_i++){
               $vw_security_guard_slider_title = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor';
               $vw_security_guard_slider_content = 'Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s when an unknown printer took a galley of type and scrambled it to make a type specimen book.';
                  // Create post object
               $my_post = array(
               'post_title'    => wp_strip_all_tags( $vw_security_guard_slider_title ),
               'post_content'  => $vw_security_guard_slider_content,
               'post_status'   => 'publish',
               'post_type'     => 'page',
               );

               // Insert the post into the database
               $vw_security_guard_post_id = wp_insert_post( $my_post );

               if ($vw_security_guard_post_id) {
                 // Set the theme mod for the slider page
                 set_theme_mod('vw_security_guard_slider_page' . $vw_security_guard_i, $vw_security_guard_post_id);

                  $vw_security_guard_image_url = get_template_directory_uri().'/images/slider'.$vw_security_guard_i.'.png';

                $vw_security_guard_image_id = media_sideload_image($vw_security_guard_image_url, $vw_security_guard_post_id, null, 'id');

                    if (!is_wp_error($vw_security_guard_image_id)) {
                        // Set the downloaded image as the post's featured image
                        set_post_thumbnail($vw_security_guard_post_id, $vw_security_guard_image_id);
                    }
                }
            }

            // services section
            set_theme_mod('vw_security_guard_section_title', 'OUR SERVICES' );
            set_theme_mod('vw_security_guard_security_services', 'category1' );

            // Define post category names and post titles
            $vw_security_guard_category_names = array('category1', 'category2');
            $vw_security_guard_title_array = array(
                array("NETWORK SECURITY", "DEFENCE TRAINING", "GUARD HOUSE"),
                array("GUARD HOUSE", "NETWORK SECURITY", "DEFENCE TRAINING")
            );

            foreach ($vw_security_guard_category_names as $vw_security_guard_index => $vw_security_guard_category_name) {
                // Create or retrieve the post category term ID
                $vw_security_guard_term = term_exists($vw_security_guard_category_name, 'category');
                if ($vw_security_guard_term === 0 || $vw_security_guard_term === null) {
                    // If the term does not exist, create it
                    $vw_security_guard_term = wp_insert_term($vw_security_guard_category_name, 'category');
                }
                if (is_wp_error($vw_security_guard_term)) {
                    error_log('Error creating category: ' . $vw_security_guard_term->get_error_message());
                    continue; // Skip to the next iteration if category creation fails
                }

                for ($vw_security_guard_i = 0; $vw_security_guard_i < 3; $vw_security_guard_i++) {
                    // Create post content
                    $vw_security_guard_title = $vw_security_guard_title_array[$vw_security_guard_index][$vw_security_guard_i];
                    $vw_security_guard_content = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry.';

                    // Create post post object
                    $vw_security_guard_my_post = array(
                        'post_title'    => wp_strip_all_tags($vw_security_guard_title),
                        'post_content'  => $vw_security_guard_content,
                        'post_status'   => 'publish',
                        'post_type'     => 'post', // Post type set to 'post'
                    );

                    // Insert the post into the database
                    $vw_security_guard_post_id = wp_insert_post($vw_security_guard_my_post);

                    if (is_wp_error($vw_security_guard_post_id)) {
                        error_log('Error creating post: ' . $vw_security_guard_post_id->get_error_message());
                        continue; // Skip to the next post if creation fails
                    }

                    // Assign the category to the post
                    wp_set_post_categories($vw_security_guard_post_id, array((int)$vw_security_guard_term['term_id']));

                    // Handle the featured image using media_sideload_image
                    $vw_security_guard_image_url = get_template_directory_uri() . '/images/services' . ($vw_security_guard_i + 1) . '.png';
                    $vw_security_guard_image_id = media_sideload_image($vw_security_guard_image_url, $vw_security_guard_post_id, null, 'id');

                    if (is_wp_error($vw_security_guard_image_id)) {
                        error_log('Error downloading image: ' . $vw_security_guard_image_id->get_error_message());
                        continue; // Skip to the next post if image download fails
                    }
                    // Assign featured image to post
                    set_post_thumbnail($vw_security_guard_post_id, $vw_security_guard_image_id);
                }
            } 

        }
    ?>

	<p><?php esc_html_e('Please back up your website if it’s already live with data. This importer will overwrite your existing settings with the new customizer values for VW Security Guard', 'vw-security-guard'); ?></p>
    <form action="<?php echo esc_url(home_url()); ?>/wp-admin/themes.php?page=vw_security_guard_guide" method="POST" onsubmit="return validate(this);">
        <?php if (!get_option('vw_security_guard_demo_import_completed')) : ?>
            <input class="run-import" type="submit" name="submit" value="<?php esc_attr_e('Run Importer', 'vw-security-guard'); ?>" class="button button-primary button-large">
        <?php endif; ?>
        <div id="spinner" style="display:none;">         
            <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/spinner.png" alt="" />
        </div>
    </form>
    <script type="text/javascript">
        function validate(form) {
            if (confirm("Do you really want to import the theme demo content?")) {
                // Show the spinner
                document.getElementById('spinner').style.display = 'block';
                // Allow the form to be submitted
                return true;
            } 
            else {
                return false;
            }
        }
    </script>
</div>